<?xml version="1.0" encoding="utf-8"?>
<xsd:schema xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:pl="http://www.pl.kruk.eu/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:esef_cor="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.pl.kruk.eu/xbrl/2024" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <xsd:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-pl.xml" xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef" xlink:type="simple" />
      <link:roleType id="BalanceSheet" roleURI="http://www.pl.kruk.eu/role/BalanceSheet">
        <link:definition>Balance sheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeStatement" roleURI="http://www.pl.kruk.eu/role/IncomeStatement">
        <link:definition>Income statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ComprehensiveIncome" roleURI="http://www.pl.kruk.eu/role/ComprehensiveIncome">
        <link:definition>Comprehensive income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CashFlow" roleURI="http://www.pl.kruk.eu/role/CashFlow">
        <link:definition>Cash flow</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ChangesInEquity" roleURI="http://www.pl.kruk.eu/role/ChangesInEquity">
        <link:definition>Changes in equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndGeneralInformation" roleURI="http://www.pl.kruk.eu/role/NotesAndGeneralInformation">
        <link:definition>Notes and general information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.pl.kruk.eu/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:element name="CourtFees" id="ext_CourtFees" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="PropertyPlantAndEquipmentRightOfUseAssets" id="ext_PropertyPlantAndEquipmentRightOfUseAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" id="ext_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" id="ext_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="OtherIncomeCostsFromPurchasedDebtPortfolio" id="ext_OtherIncomeCostsFromPurchasedDebtPortfolio" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="IncomeFromTheSaleOfPorfoliosAndLoans" id="ext_IncomeFromTheSaleOfPorfoliosAndLoans" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="EmployeeBenefitObligations" id="ext_EmployeeBenefitObligations" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="InterestReceivedAndPaidOnHedgingInstruments" id="ext_InterestReceivedAndPaidOnHedgingInstruments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="InvestmentsInDebtPortfoliosAndLoans" id="ext_InvestmentsInDebtPortfoliosAndLoans" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="WriteoffOfDevelopmentWork" id="ext_WriteoffOfDevelopmentWork" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration" />
</xsd:schema>